Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: João Távora <[email-masked]>
Date: Wed, 12 Apr 2023 13:55:24 +0100

On Wed, Apr 12, 2023 at 1:28 PM Philip Kaludercic <[email-masked]> wrote:

> > I've just applied it, re-made emacs, tested with Emacs -Q and now M-x
> > package-install doesn't offer _any_ completions to install, core or
> > non-core.  Is this what you intended?
>
> No, that was my mistake (I changed something last minute before applying
> the patch).  This patch should behave properly:

Can confirm it does for M-x package-install.

I hope this patch goes far, but maybe rename package-core-p to
package--core-p and there's a duplicate "a more" in its docstring.

João